Debian Bug report logs - #395826
base: Can't specify multiple IPv6 addresses.

version graph

Package: ifupdown; Maintainer for ifupdown is Andrew Shadura <andrewsh@debian.org>; Source for ifupdown is src:ifupdown.

Reported by: Pupeno <pupeno@pupeno.com>

Date: Fri, 27 Oct 2006 23:48:02 UTC

Severity: wishlist

Tags: ipv6, patch

Merged with 168776, 359618, 360155

Found in versions 0.6.4-4, ifupdown/0.6.7, ifupdown/0.6.5

Fixed in version ifupdown/0.7~alpha4

Done: Andrew Shadura <bugzilla@tut.by>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <debootstrap@packages.debian.org>:
Bug#395826; Package base. Full text and rfc822 format available.

Acknowledgement sent to Pupeno <pupeno@pupeno.com>:
New Bug report received and forwarded. Copy sent to Anthony Towns <debootstrap@packages.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pupeno <pupeno@pupeno.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: base: Can't specify multiple IPv6 addresses.
Date: Sat, 28 Oct 2006 00:41:50 +0100
Package: base
Severity: normal

With IPv6 you can have more than one IP address per interface and giving
the amount of available IPv6 addresses it is very common to have many
addresses on one interface.
I couldn't find a way to set this up in Debian. I think there's no way,
if it is so this bug is about enabling it, otherwise is about unhiding
the feature.
The result of that configuration should be the same as just running:

ip -6 addr add SOME:IPv6:ADDRESS dev ethN

I've tried having various virtual devices, eth0:0, eth0:1; but that
doesn't work because they all have the same MAC address leading to the
same link level IPv6 address and by that, a conflict.

Thank you.

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.4.32
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

PS: I couldn't figure out to which package this belonged.



Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <debootstrap@packages.debian.org>:
Bug#395826; Package base. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <debootstrap@packages.debian.org>. Full text and rfc822 format available.

Message #10 received at 395826@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Pupeno <pupeno@pupeno.com>, 395826@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#395826: base: Can't specify multiple IPv6 addresses.
Date: Sun, 29 Oct 2006 00:16:57 +0200
reassign 395826 ifupdown
thanks

Hi, Pupeno

Pupeno wrote:
> With IPv6 you can have more than one IP address per interface and
> giving the amount of available IPv6 addresses it is very common to
> have many addresses on one interface.
> I couldn't find a way to set this up in Debian. I think there's no
> way, if it is so this bug is about enabling it, otherwise is about
> unhiding the feature.
> The result of that configuration should be the same as just running:
> 
> ip -6 addr add SOME:IPv6:ADDRESS dev ethN
> 
> I've tried having various virtual devices, eth0:0, eth0:1; but that
> doesn't work because they all have the same MAC address leading to the
> same link level IPv6 address and by that, a conflict.

I have reassigned this bug to the ifupdown package, which seems to use 
/etc/network/interfaces for configuration. 

Aj: If I am wrong, please reassign accordingly.

Thanks!


-- 
  ยท''`.             If I can't dance to it, it's not my revolution
 : :' :                                            -- Emma Goldman
 `. `'           Proudly running Debian GNU/Linux (unstable)
   `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Bug reassigned from package `base' to `ifupdown'. Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#395826; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #17 received at 395826@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: 395826@bugs.debian.org
Subject: Patch
Date: Tue, 02 Jan 2007 10:18:05 +0100
Hi,

An experimental patch for this is at 
http://fjortis.info/pub/debian/ifupdown-0.6.4-use_iproute2-experimental.diff 
(it's not my patch)

- tfheen



Tags added: ipv6 Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sun, 04 Jan 2009 16:12:07 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:13 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:26 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:16 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Fri, 03 Dec 2010 13:03:05 GMT) Full text and rfc822 format available.

Merged 168776 359618 360155 395826. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Fri, 03 Dec 2010 13:03:06 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Andrew Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Wed, 11 Jan 2012 16:12:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#395826; Package ifupdown. (Mon, 12 Nov 2012 22:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Douglas Calvert <dfc@douglasfcalvert.net>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Mon, 12 Nov 2012 22:09:04 GMT) Full text and rfc822 format available.

Message #38 received at 395826@bugs.debian.org (full text, mbox):

From: Douglas Calvert <dfc@douglasfcalvert.net>
To: 395826@bugs.debian.org
Date: Mon, 12 Nov 2012 17:05:31 -0500
[Message part 1 (text/plain, inline)]
What is the status of this bug? It is six years old now?

--
[Message part 2 (text/html, inline)]

Reply sent to Andrew Shadura <bugzilla@tut.by>:
You have taken responsibility. (Mon, 12 Nov 2012 22:15:08 GMT) Full text and rfc822 format available.

Notification sent to Pupeno <pupeno@pupeno.com>:
Bug acknowledged by developer. (Mon, 12 Nov 2012 22:15:08 GMT) Full text and rfc822 format available.

Message #43 received at 395826-done@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Douglas Calvert <dfc@douglasfcalvert.net>, 395826-done@bugs.debian.org
Subject: Re: Bug#395826:
Date: Mon, 12 Nov 2012 23:12:15 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Mon, 12 Nov 2012 17:05:31 -0500
Douglas Calvert <dfc@douglasfcalvert.net> wrote:

> What is the status of this bug? It is six years old now?

Would be much easier to actually check :) It's been fixed a long time
ago.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Andrew Shadura <bugzilla@tut.by>:
You have taken responsibility. (Mon, 12 Nov 2012 22:15:08 GMT) Full text and rfc822 format available.

Notification sent to Stephane Bortzmeyer <bortzmeyer@nic.fr>:
Bug acknowledged by developer. (Mon, 12 Nov 2012 22:15:09 GMT) Full text and rfc822 format available.

Reply sent to Andrew Shadura <bugzilla@tut.by>:
You have taken responsibility. (Mon, 12 Nov 2012 22:15:09 GMT) Full text and rfc822 format available.

Notification sent to "Venky Rao" <venkysrao@gmail.com>:
Bug acknowledged by developer. (Mon, 12 Nov 2012 22:15:09 GMT) Full text and rfc822 format available.

Reply sent to Andrew Shadura <bugzilla@tut.by>:
You have taken responsibility. (Mon, 12 Nov 2012 22:15:09 GMT) Full text and rfc822 format available.

Notification sent to Tushar Gohad <tgohad@mvista.com>:
Bug acknowledged by developer. (Mon, 12 Nov 2012 22:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#395826; Package ifupdown. (Mon, 12 Nov 2012 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dfc@douglasfcalvert.net:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Mon, 12 Nov 2012 22:18:03 GMT) Full text and rfc822 format available.

Message #60 received at 395826@bugs.debian.org (full text, mbox):

From: "Douglas F. Calvert" <dfc@douglasfcalvert.net>
To: 395826@bugs.debian.org
Subject: Re: Bug#395826:
Date: Mon, 12 Nov 2012 22:14:51 +0000
I will have to try it again. I could have sworn ipv6 addresses do not work like the ipv4 aliases. Why is the bug not closed?


-----Original Message-----
From: Andrew Shadura <bugzilla@tut.by>
Date: Mon, 12 Nov 2012 23:12:15 
To: Douglas Calvert<dfc@douglasfcalvert.net>; <395826-done@bugs.debian.org>
Subject: Re: Bug#395826:

Hello,

On Mon, 12 Nov 2012 17:05:31 -0500
Douglas Calvert <dfc@douglasfcalvert.net> wrote:

> What is the status of this bug? It is six years old now?

Would be much easier to actually check :) It's been fixed a long time
ago.

-- 
WBR, Andrew





Marked as fixed in versions ifupdown/0.7~alpha4. Request was from Andrew Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Mon, 12 Nov 2012 22:21:02 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:26 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:43 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:35:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:29:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.